@import "../../../assets/styles/main.scss";

.helpCenterDetailSection {
  padding-bottom: 80px;
  position: relative;
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .helpCenterDetailContainer {
    @include container-medium-1;
    .mainTitleContainer {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      gap: 8px;
      @include kabutHitam400;

      h2 {
        text-align: left;
        margin: 0;
        font-size: 120px;
        line-height: 138px;
        color: getColorHex("black");

        @include lg {
          line-height: 100px;
        }

        @include xl {
          font-size: 100px;
        }
        @include md {
          font-size: 85px;
          line-height: 100px;
        }
        @include xxs {
          font-size: 70px;
          line-height: 80px;
        }
        @include tiny {
          font-size: 60px;
          line-height: 55px;
        }

        span {
          color: getColorHex("orange");
        }
      }
    }
    .helpCenterquestionsMain {
      display: flex;
      flex-flow: column;
      gap: 70px;
      .searchinput {
        position: relative;
        z-index: 9;
        width: 760px;
        margin: auto;
        padding-top: 31px;
      }
      input {
        padding: 15px 66px 15px 29px;
        border-radius: 62px;
        border: 3px solid #eef1f5;
        background: getColorHex("white");
        color: getColorHex("black");
        font-size: 20px;
        line-height: 20px;
        @include inter400;
        height: 78px;
        @include lg {
          height: 60px;
        }

        &:focus {
          border-color: getColorHex("orange") !important;
          box-shadow: unset !important;
        }
        &::placeholder {
          color: getColorHex("placeholder");
          font-size: 20px;
          line-height: 20px !important;
          overflow-x: inherit !important;
          overflow-y: inherit !important;
          white-space: inherit !important;
          word-wrap: inherit !important;
          @include inter400;
          @include xxl {
            font-size: 20px;
          }
          @include xl {
            font-size: 20px;
          }
          @include lg {
            font-size: 15px;
          }
        }
        @include md {
          font-size: 15px;
        }
        @include xs {
          font-size: 14px;
        }
        @include tiny {
          font-size: 12px;
        }
      }

      input[type="search"]::-webkit-search-cancel-button {
        display: none;
      }

      input:focus {
        border-color: getColorHex("orange") !important;
        box-shadow: unset !important;
      }

      .inputButtons {
        position: absolute;
        right: -1%;
        bottom: -5%;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
        transform: translate(-50%, -50%);

        @include lg {
          bottom: 0px;
          right: 0;
        }

        .searchIcon {
          border-radius: 53px;
          background: getColorHex("orange");
          width: 45px;
          height: 45px;
          display: flex;
          align-items: center;
          justify-content: center;
          border: unset;
          @include lg {
            width: 30px;
            height: 30px;
          }
          @include md {
            bottom: -15px;
          }
          @include xs {
            width: 30px;
            height: 30px;
            bottom: -2px;
          }
          @include tiny {
            bottom: -4px;
          }
          svg {
            width: 25px !important;
            height: 25px !important;
            @include lg {
              width: 15px !important;
              height: 15px !important;
            }
          }
        }

        .closeIcon {
          width: 45px;
          height: 45px;
          display: flex;
          align-items: center;
          justify-content: center;
          border: unset;
          @include lg {
            width: 30px;
            height: 30px;
          }
          @include md {
            bottom: -15px;
          }
          @include xs {
            width: 30px;
            height: 30px;
            bottom: -2px;
          }
          @include tiny {
            bottom: -4px;
          }
          svg {
            cursor: pointer;
            width: 13px !important;
            height: 13px !important;
          }
        }
      }

      .dropdownFaq {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: getColorHex("white");
        border-radius: 32px;
        border: 1px solid getColorHex("orange");
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        padding: 30px 5px 30px 0px;
        list-style: none;
        z-index: 10;
        margin-top: 24px;

        .dropdownmain {
          @include customScroll;
          max-height: 364px;
          overflow: auto;
        }
        .dropMenuNew {
          padding: 20.5px 30px;
          background: #ffffff;
          cursor: pointer;

          &:hover {
            background: #000000;

            p {
              color: #ffffff;

              span {
                color: #686868;
              }
            }
          }

          p {
            font-size: 20px;
            line-height: 35px;
            text-align: left;
            color: #686868;
          }
        }
      }

      .helpCenterCatergories {
        padding: 50px;
        display: flex;
        flex-flow: column;
        gap: 70px;
        border-radius: 40px;
        background: #f1f1f1;
        @include xl {
          padding: 50px 30px;
        }
        @include lg {
          padding: 50px 20px;
        }
        h3 {
          text-align: center;
          font-size: 36px;
          @include inter700;
          line-height: normal;
        }
        .catergoriesBlockMain {
          display: flex;
          flex-flow: wrap;
          justify-content: center;
          gap: 24px;
          .catergoriesBlock {
            padding: 41px 20px;
            border-radius: 17px;
            background: #fff;
            cursor: pointer;
            width: 390px;
            @include xxl {
              width: 380px;
            }
            @include xl {
              width: 345px;
            }
            @include lg {
              width: 290px;
            }
            .catergoriesImage {
              width: 112px;
              height: 112px;
              margin: auto;
              img {
                width: 100%;
                height: 100%;
                object-fit: contain;
              }
            }
            .catergoriesText {
              padding-top: 3px;
              display: flex;
              align-items: center;
              flex-direction: column;
              h4 {
                font-size: 24px;
                line-height: 37px; /* 154.167% */
                text-align: center;
                @include inter600;
                @include lg {
                  font-size: 22px;
                }
              }
            }
          }
        }
      }
      .popularQuestionHeading {
        // h2 {
        //   text-align: center;
        //   font-size: 36px;
        //   line-height: 43.57px;
        //   @include inter700;
        // }
      }
    }
  }

  .helpCenterCatergoriesDetail {
    display: grid;
    grid-template-columns: 312px auto;
    gap: 24px;
    .CatergoriesDetailLeft {
      display: flex;
      flex-flow: column;
      gap: 40px;
      position: relative;
      z-index: 9;
      .backtoHelpCenterDiv {
        display: flex;
        align-items: center;
        gap: 10px;
        cursor: pointer;

        h4 {
          font-size: 24px;
          line-height: 44px;
          @include inter700;
          transition: transform 0.3s ease-out, opacity 0.3s ease-out;
          // &:hover {
          //   color: getColorHex("orange");
          // }
        }
      }
      .categoryMainBlockDiv {
        display: flex;
        flex-flow: column;
        gap: 20px;

        .categoryBlock {
          display: flex;
          align-items: center;
          justify-content: space-between;
          gap: 10px;
          padding: 7px 30px;
          border-radius: 20px;
          background-color: #f1f1f1;
          cursor: pointer;
          border: 3px solid #f1f1f1;
          transition: all 0.3s ease;

          h4 {
            font-size: 16px;
            line-height: 37px;
          }
          &.active {
            background-color: getColorHex("white");
            border: 3px solid getColorHex("orange");
            transition: all 0.3s ease;
          }
        }
      }
    }
    .CatergoriesDetailRight {
      h1 {
        font-size: 36px;
        @include inter700;
        line-height: 43.57px;
        padding-bottom: 40px;
        @include lg {
          font-size: 30px;
        }
      }
    }
  }
}
